{
  "name": "@devias-kit-pro/nextjs-template",
  "author": "Devias IO",
  "version": "7.0.0",
  "private": true,
  "engines": {
    "node": ">=18"
  },
  "scripts": {
    "dev": "next dev",
    "build": "rm -rf .next && next build",
    "build:w": "pnpx nodemon --ext ts,tsx,json,mjs,js,jsx --delay 1 --exec \"pnpm run build\"",
    "start": "next start",
    "lint": "next lint --quiet",
    "lint:fix": "next lint --fix",
    "lint:w": "pnpx nodemon --ext ts,tsx,json,mjs,js,jsx --delay 2 --exec \"pnpm run lint\"",
    "typecheck": "tsc --noEmit",
    "typecheck:w": "pnpx nodemon --ext ts,tsx,json,mjs,js,jsx --delay 2 --exec \"pnpm run typecheck\"",
    "format:write": "prettier --write \"**/*.{js,jsx,mjs,ts,tsx,mdx}\" --cache",
    "format:check": "prettier --check \"**/*.{js,jsx,mjs,ts,tsx,mdx}\" --cache",
    "format:fix": "prettier --write \"**/*.{js,jsx,mjs,ts,tsx,mdx}\" --cache",
    "test": "jest --watch",
    "update_doc": "cd 001_documentation/Requirements && node update_req_index.js",
    "update_doc:w": "pnpx nodemon --ext md --exec \"pnpm run update_doc\"",
    "update_repomix": "npx repomix",
    "update_repomix:w": "pnpx nodemon --delay 3 --exec \"pnpx repomix\"",
    "clean": "rm -rf node_modules && rm -rf .next"
  },
  "dependencies": {
    "@auth0/nextjs-auth0": "3.5.0",
    "@aws-amplify/auth": "6.0.17",
    "@dnd-kit/core": "6.1.0",
    "@dnd-kit/sortable": "8.0.0",
    "@dnd-kit/utilities": "3.2.2",
    "@elgorditosalsero/react-gtm-hook": "2.7.2",
    "@emotion/cache": "11.11.0",
    "@emotion/react": "11.11.3",
    "@emotion/server": "11.11.0",
    "@emotion/styled": "11.11.0",
    "@fontsource/inter": "5.0.16",
    "@fontsource/plus-jakarta-sans": "5.0.18",
    "@fontsource/roboto-mono": "5.0.16",
    "@fullcalendar/core": "6.1.11",
    "@fullcalendar/daygrid": "6.1.11",
    "@fullcalendar/interaction": "6.1.11",
    "@fullcalendar/list": "6.1.11",
    "@fullcalendar/react": "6.1.11",
    "@fullcalendar/timegrid": "6.1.11",
    "@fullcalendar/timeline": "6.1.11",
    "@hookform/resolvers": "3.3.4",
    "@mui/lab": "5.0.0-alpha.166",
    "@mui/material": "5.15.11",
    "@mui/system": "5.15.11",
    "@mui/utils": "5.15.11",
    "@mui/x-date-pickers": "6.19.5",
    "@phosphor-icons/react": "2.0.15",
    "@react-pdf/renderer": "3.3.8",
    "@supabase/ssr": "0.1.0",
    "@supabase/supabase-js": "2.39.7",
    "@tiptap/extension-link": "2.2.4",
    "@tiptap/extension-placeholder": "2.2.4",
    "@tiptap/react": "2.2.4",
    "@tiptap/starter-kit": "2.2.4",
    "aws-amplify": "6.0.17",
    "axios": "^1.8.4",
    "dayjs": "1.11.10",
    "embla-carousel": "8.0.0",
    "embla-carousel-react": "8.0.0",
    "firebase": "10.8.0",
    "i18next": "23.10.0",
    "i18next-browser-languagedetector": "^8.0.4",
    "i18next-http-backend": "2.5.0",
    "mapbox-gl": "3.1.2",
    "next": "14.1.0",
    "next-i18next": "15.2.0",
    "pocketbase": "^0.25.2",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-dropzone": "14.2.3",
    "react-hook-form": "7.50.1",
    "react-i18next": "14.0.5",
    "react-map-gl": "7.1.7",
    "react-markdown": "9.0.1",
    "react-simple-maps": "3.0.0",
    "react-spinners": "^0.15.0",
    "react-syntax-highlighter": "15.5.0",
    "recharts": "2.12.1",
    "sonner": "1.4.1",
    "stylis": "4.3.1",
    "stylis-plugin-rtl": "2.1.1",
    "zod": "3.22.4"
  },
  "devDependencies": {
    "@ianvs/prettier-plugin-sort-imports": "4.1.1",
    "@testing-library/jest-dom": "6.4.2",
    "@testing-library/react": "14.2.1",
    "@types/jest": "29.5.12",
    "@types/mapbox-gl": "3.1.0",
    "@types/node": "20.11.20",
    "@types/react": "18.2.58",
    "@types/react-dom": "18.2.19",
    "@types/react-simple-maps": "3.0.4",
    "@types/react-syntax-highlighter": "15.5.11",
    "@vercel/style-guide": "5.2.0",
    "eslint": "8.57.0",
    "eslint-config-next": "14.1.0",
    "eslint-config-prettier": "9.1.0",
    "jest": "29.7.0",
    "jest-environment-jsdom": "29.7.0",
    "prettier": "3.2.5",
    "typescript": "5.3.3"
  },
  "pnpm": {
    "onlyBuiltDependencies": [
      "core-js",
      "protobufjs"
    ]
  }
}
